local Parent = require "scenes.debug.menu.infopanel.parent"
local CharacterPanel = Parent:extend()

function CharacterPanel:new(character)
  CharacterPanel.super.new(self)
  self.character = character
end

function CharacterPanel:drawContent(x, y)
  local debugString = "# " .. self.character.name .. "(" .. "Lvl " .. self.character.level .. ")" .. "\n"
  local debugString = debugString .. "EXP: " .. self.character.exp .. " / " .. self.character.exp_next .. "\n"
  local debugString = debugString .. "HP: " .. self.character.hp .. " / " .. self.character.stats.hpmax .. "\n"
  local debugString = debugString .. "PP: " .. self.character.pp .. " / " .. self.character.stats.ppmax .. "\n"
  local debugString = debugString .. "ATK: " .. self.character.stats.attack
  local debugString = debugString .. " DEF: " .. self.character.stats.defense
  local debugString = debugString .. " SPD: " .. self.character.stats.speed .. "\n"
  local debugString = debugString .. "POW: " .. self.character.stats.power
  local debugString = debugString .. " MND: " .. self.character.stats.mind
  local debugString = debugString .. " TEK: " .. self.character.stats.technic .. "\n"

  love.graphics.print(debugString, x, y)
end

return CharacterPanel
